Как обновить сервер ubuntu с 10.04 по 12.04 [дубликат]

4

Мне нужно обновить сервер Ubuntu с 10.04 до 12.04.

10.04 больше не поддерживается. Итак, какой шаг я должен сделать для чистого обновления?

Я сделал следующие шаги:

sudo sed -i -re 's/([a-z]{2}\.)?archive.ubuntu.com|security.ubuntu.com/old-r‌​eleases.ubuntu.com/g‌​' /etc/apt/sources.list 
sudo apt-get update && sudo apt-get dist-upgrade 
sudo apt-get update 
sudo do-release-upgrade

Через некоторое время обновление прерывается: ... Восстановление исходного состояния системы

[email protected]:~# sudo apt-get install update-manager-core
Reading package lists... Done
Building dependency tree
Reading state information... Done
update-manager-core is already the newest version.
The following packages were automatically installed and are no longer required:
  linux-headers-2.6.32-41-server linux-headers-2.6.32-41
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
[email protected]:~#


[email protected]:~# lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 10.04.4 LTS
Release:        10.04
Codename:       lucid

Get:51 http://us.archive.ubuntu.com precise/restricted Translation-en [2395 B]
Get:52 http://us.archive.ubuntu.com precise/universe Translation-en [3341 kB]
Fetched 19.9 MB in 6s (1873 kB/s)

Checking package manager
Reading package lists... Done
Building dependency tree
Reading state information... Done
Building data structures... Done

Calculating the changes

Calculating the changes

Error authenticating some packages

It was not possible to authenticate some packages. This may be a
transient network problem. You may want to try again later. See below
for a list of unauthenticated packages.

accountsservice
apparmor
.
.
wpasupplicant
xkb-data


Restoring original system state

Aborting
Reading package lists... Done
Building dependency tree
Reading state information... Done
Building data structures... Done

=== Command detached from window (Thu May  4 09:20:53 2017) ===
=== Command terminated with exit status 1 (Thu May  4 09:20:53 2017) ===
    
задан Johannes Templ 04.05.2017 в 08:56
источник

1 ответ

0

лучше загружать iso и повторно устанавливать вы можете установить сервер 12.04 Ubuntu Нажмите ссылку 32 бит или 64 бит вы можете выбрать обновление не возможно для старых версий или попробуйте 17.04. Нажмите торрент-ссылка

    
ответ дан md.saifali 04.05.2017 в 10:37